Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.wsdl.util
Class WSDLDefinitionWrapper

    java.lang.Object
      org.apache.axis2.wsdl.util.WSDLDefinitionWrapper

All Implemented Interfaces:
  Serializable, javax.wsdl.Definition, javax.wsdl.extensions.AttributeExtensible, javax.wsdl.extensions.ElementExtensible, javax.wsdl.WSDLElement

    public class WSDLDefinitionWrapper

extends Object
implements javax.wsdl.Definition

There are cases where a WSDL definition is kept in memory in case it needs to be accessed during runtime. In situations where there are lots of WSDL definitions or big WSDLs, the memory footprint can be huge. This class provides support for processing a WSDL4J definition with a lower memory footprint. This is useful for certain environments. This class makes the decision on which implementation to use to reduce memory footprint. This allows other implementations to be used for specific environments without adding lots of extra overhead to every environment.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.wsdl.extensions.AttributeExtensible
`LIST_OF_QNAMES_TYPE, LIST_OF_STRINGS_TYPE, NO_DECLARED_TYPE, QNAME_TYPE, STRING_TYPE`

Constructor Summary
`WSDLDefinitionWrapper(javax.wsdl.Definition def)` Deprecated. because this constructor does not provide any guidance for memory usage
`WSDLDefinitionWrapper(javax.wsdl.Definition def, AxisConfiguration axisConfig)`
`WSDLDefinitionWrapper(javax.wsdl.Definition def, boolean limitMemory, int memoryType)`
`WSDLDefinitionWrapper(javax.wsdl.Definition def, URL wURL)` Deprecated. use a constructor with a AxisConfiguration or memory limit parameter
`WSDLDefinitionWrapper(javax.wsdl.Definition def, URL wURL, AxisConfiguration axisCfg)` Constructor
`WSDLDefinitionWrapper(javax.wsdl.Definition def, URL wURL, boolean limitInMemory)` Constructor
`WSDLDefinitionWrapper(javax.wsdl.Definition def, URL wURL, boolean limitInMemory, int memoryType)` Constructor
`WSDLDefinitionWrapper(javax.wsdl.Definition def, URL wURL, int limitType)` Constructor

Method Summary
`void` | `addBinding(javax.wsdl.Binding binding)`
`void` | `addExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)`
`void` | `addImport(javax.wsdl.Import importDef)`
`void` | `addMessage(javax.wsdl.Message message)`
`void` | `addNamespace(String prefix, String namespaceURI)`
`void` | `addPortType(javax.wsdl.PortType portType)`
`void` | `addService(javax.wsdl.Service service)`
`javax.wsdl.Binding` | `createBinding()`
`javax.wsdl.BindingFault` | `createBindingFault()`
`javax.wsdl.BindingInput` | `createBindingInput()`
`javax.wsdl.BindingOperation` | `createBindingOperation()`
`javax.wsdl.BindingOutput` | `createBindingOutput()`
`javax.wsdl.Fault` | `createFault()`
`javax.wsdl.Import` | `createImport()`
`javax.wsdl.Input` | `createInput()`
`javax.wsdl.Message` | `createMessage()`
`javax.wsdl.Operation` | `createOperation()`
`javax.wsdl.Output` | `createOutput()`
`javax.wsdl.Part` | `createPart()`
`javax.wsdl.Port` | `createPort()`
`javax.wsdl.PortType` | `createPortType()`
`javax.wsdl.Service` | `createService()`
`javax.wsdl.Types` | `createTypes()`
`Map` | `getAllBindings()`
`Map` | `getAllPortTypes()`
`Map` | `getAllServices()`
`javax.wsdl.Binding` | `getBinding(QName name)`
`Map` | `getBindings()`
`Element` | `getDocumentationElement()`
`String` | `getDocumentBaseURI()`
`List` | `getExtensibilityElements()`
`Object` | `getExtensionAttribute(QName name)`
`Map` | `getExtensionAttributes()`
`javax.wsdl.extensions.ExtensionRegistry` | `getExtensionRegistry()`
`Map` | `getImports()`
`List` | `getImports(String namespaceURI)`
`int` | `getMemoryLimitType()`
`javax.wsdl.Message` | `getMessage(QName name)`
`Map` | `getMessages()`
`String` | `getNamespace(String prefix)`
`Map` | `getNamespaces()`
`List` | `getNativeAttributeNames()`
`javax.wsdl.PortType` | `getPortType(QName name)`
`Map` | `getPortTypes()`
`String` | `getPrefix(String namespaceURI)`
`QName` | `getQName()`
`javax.wsdl.Service` | `getService(QName name)`
`Map` | `getServices()`
`String` | `getTargetNamespace()`
`javax.wsdl.Types` | `getTypes()`
`javax.wsdl.Definition` | `getUnwrappedDefinition()`
`javax.wsdl.Binding` | `removeBinding(QName name)`
`javax.wsdl.extensions.ExtensibilityElement` | `removeExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)`
`javax.wsdl.Import` | `removeImport(javax.wsdl.Import importDef)`
`javax.wsdl.Message` | `removeMessage(QName name)`
`String` | `removeNamespace(String prefix)`
`javax.wsdl.PortType` | `removePortType(QName name)`
`javax.wsdl.Service` | `removeService(QName name)`
`void` | `setDocumentationElement(Element docEl)`
`void` | `setDocumentBaseURI(String d)`
`void` | `setExtensionAttribute(QName name, Object value)`
`void` | `setExtensionRegistry(javax.wsdl.extensions.ExtensionRegistry extReg)`
`void` | `setQName(QName n)`
`void` | `setTargetNamespace(String t)`
`void` | `setTypes(javax.wsdl.Types types)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WSDLDefinitionWrapper

    public WSDLDefinitionWrapper(javax.wsdl.Definition def)

  Deprecated. because this constructor does not provide any guidance for memory usage

  Constructor

  Parameters:
    `def` - The WSDL Definition

### WSDLDefinitionWrapper

    public WSDLDefinitionWrapper(javax.wsdl.Definition def,
                                 boolean limitMemory,
                                 int memoryType)

Parameters:
  `def` -
  `limitMemory` - true if you want to use a memory sensitive wrapper

### WSDLDefinitionWrapper

    public WSDLDefinitionWrapper(javax.wsdl.Definition def,
                                 AxisConfiguration axisConfig)

Parameters:
  `def` - WDDL Definition
  `axisConfig` - Axis Configuration

### WSDLDefinitionWrapper

    public WSDLDefinitionWrapper(javax.wsdl.Definition def,
                                 URL wURL)

  Deprecated. use a constructor with a AxisConfiguration or memory limit parameter

  Constructor

  Parameters:
    `def` - The WSDL Definition
    `wURL` - The URL for the wsdl

### WSDLDefinitionWrapper

    public WSDLDefinitionWrapper(javax.wsdl.Definition def,
                                 URL wURL,
                                 boolean limitInMemory)

  Constructor

  Parameters:
    `def` - The WSDL Definition
    `wURL` - The URL for the wsdl
    `limitInMemory` - The setting indicating whether the in-memory WSDL copy should be manipulated to reduce memory footprint

### WSDLDefinitionWrapper

    public WSDLDefinitionWrapper(javax.wsdl.Definition def,
                                 URL wURL,
                                 boolean limitInMemory,
                                 int memoryType)

  Constructor

  Parameters:
    `def` - The WSDL Definition
    `wURL` - The URL for the wsdl
    `limitInMemory` - The setting indicating whether the in-memory WSDL copy should be manipulated to reduce memory footprint
    `memoryType` -

### WSDLDefinitionWrapper

    public WSDLDefinitionWrapper(javax.wsdl.Definition def,
                                 URL wURL,
                                 int limitType)

  Constructor

  Parameters:
    `def` - The WSDL Definition
    `wURL` - The URL for the wsdl
    `limitType` - The setting indicating which reduction technique to use

### WSDLDefinitionWrapper

    public WSDLDefinitionWrapper(javax.wsdl.Definition def,
                                 URL wURL,
                                 AxisConfiguration axisCfg)

  Constructor

  Parameters:
    `def` - The WSDL Definition
    `wURL` - The URL for the wsdl
    `axisCfg` - The AxisConfiguration object, to be used to get configuration settings

Method Detail

### getUnwrappedDefinition

    public javax.wsdl.Definition getUnwrappedDefinition()

### getMemoryLimitType

    public int getMemoryLimitType()

### setDocumentBaseURI

    public void setDocumentBaseURI(String d)

  Specified by:
    `setDocumentBaseURI` in interface `javax.wsdl.Definition`

### getDocumentBaseURI

    public String getDocumentBaseURI()

  Specified by:
    `getDocumentBaseURI` in interface `javax.wsdl.Definition`

### setQName

    public void setQName(QName n)

  Specified by:
    `setQName` in interface `javax.wsdl.Definition`

### getQName

    public QName getQName()

  Specified by:
    `getQName` in interface `javax.wsdl.Definition`

### setTargetNamespace

    public void setTargetNamespace(String t)

  Specified by:
    `setTargetNamespace` in interface `javax.wsdl.Definition`

### getTargetNamespace

    public String getTargetNamespace()

  Specified by:
    `getTargetNamespace` in interface `javax.wsdl.Definition`

### addNamespace

    public void addNamespace(String prefix,
                             String namespaceURI)

  Specified by:
    `addNamespace` in interface `javax.wsdl.Definition`

### removeNamespace

    public String removeNamespace(String prefix)

  Specified by:
    `removeNamespace` in interface `javax.wsdl.Definition`

### getNamespace

    public String getNamespace(String prefix)

  Specified by:
    `getNamespace` in interface `javax.wsdl.Definition`

### getPrefix

    public String getPrefix(String namespaceURI)

  Specified by:
    `getPrefix` in interface `javax.wsdl.Definition`

### getNamespaces

    public Map getNamespaces()

  Specified by:
    `getNamespaces` in interface `javax.wsdl.Definition`

### getNativeAttributeNames

    public List getNativeAttributeNames()

  Specified by:
    `getNativeAttributeNames` in interface `javax.wsdl.extensions.AttributeExtensible`

### setTypes

    public void setTypes(javax.wsdl.Types types)

  Specified by:
    `setTypes` in interface `javax.wsdl.Definition`

### getTypes

    public javax.wsdl.Types getTypes()

  Specified by:
    `getTypes` in interface `javax.wsdl.Definition`

### addImport

    public void addImport(javax.wsdl.Import importDef)

  Specified by:
    `addImport` in interface `javax.wsdl.Definition`

### removeImport

    public javax.wsdl.Import removeImport(javax.wsdl.Import importDef)

  Specified by:
    `removeImport` in interface `javax.wsdl.Definition`

### getImports

    public List getImports(String namespaceURI)

  Specified by:
    `getImports` in interface `javax.wsdl.Definition`

### getImports

    public Map getImports()

  Specified by:
    `getImports` in interface `javax.wsdl.Definition`

### addMessage

    public void addMessage(javax.wsdl.Message message)

  Specified by:
    `addMessage` in interface `javax.wsdl.Definition`

### getMessage

    public javax.wsdl.Message getMessage(QName name)

  Specified by:
    `getMessage` in interface `javax.wsdl.Definition`

### removeMessage

    public javax.wsdl.Message removeMessage(QName name)

  Specified by:
    `removeMessage` in interface `javax.wsdl.Definition`

### getMessages

    public Map getMessages()

  Specified by:
    `getMessages` in interface `javax.wsdl.Definition`

### addBinding

    public void addBinding(javax.wsdl.Binding binding)

  Specified by:
    `addBinding` in interface `javax.wsdl.Definition`

### getBinding

    public javax.wsdl.Binding getBinding(QName name)

  Specified by:
    `getBinding` in interface `javax.wsdl.Definition`

### removeBinding

    public javax.wsdl.Binding removeBinding(QName name)

  Specified by:
    `removeBinding` in interface `javax.wsdl.Definition`

### getBindings

    public Map getBindings()

  Specified by:
    `getBindings` in interface `javax.wsdl.Definition`

### getAllBindings

    public Map getAllBindings()

  Specified by:
    `getAllBindings` in interface `javax.wsdl.Definition`

### addPortType

    public void addPortType(javax.wsdl.PortType portType)

  Specified by:
    `addPortType` in interface `javax.wsdl.Definition`

### getPortType

    public javax.wsdl.PortType getPortType(QName name)

  Specified by:
    `getPortType` in interface `javax.wsdl.Definition`

### removePortType

    public javax.wsdl.PortType removePortType(QName name)

  Specified by:
    `removePortType` in interface `javax.wsdl.Definition`

### getPortTypes

    public Map getPortTypes()

  Specified by:
    `getPortTypes` in interface `javax.wsdl.Definition`

### getAllPortTypes

    public Map getAllPortTypes()

  Specified by:
    `getAllPortTypes` in interface `javax.wsdl.Definition`

### addService

    public void addService(javax.wsdl.Service service)

  Specified by:
    `addService` in interface `javax.wsdl.Definition`

### getService

    public javax.wsdl.Service getService(QName name)

  Specified by:
    `getService` in interface `javax.wsdl.Definition`

### removeService

    public javax.wsdl.Service removeService(QName name)

  Specified by:
    `removeService` in interface `javax.wsdl.Definition`

### getServices

    public Map getServices()

  Specified by:
    `getServices` in interface `javax.wsdl.Definition`

### getAllServices

    public Map getAllServices()

  Specified by:
    `getAllServices` in interface `javax.wsdl.Definition`

### setDocumentationElement

    public void setDocumentationElement(Element docEl)

  Specified by:
    `setDocumentationElement` in interface `javax.wsdl.WSDLElement`

### getDocumentationElement

    public Element getDocumentationElement()

  Specified by:
    `getDocumentationElement` in interface `javax.wsdl.WSDLElement`

### addExtensibilityElement

    public void addExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)

  Specified by:
    `addExtensibilityElement` in interface `javax.wsdl.extensions.ElementExtensible`

### getExtensibilityElements

    public List getExtensibilityElements()

  Specified by:
    `getExtensibilityElements` in interface `javax.wsdl.extensions.ElementExtensible`

### createBinding

    public javax.wsdl.Binding createBinding()

  Specified by:
    `createBinding` in interface `javax.wsdl.Definition`

### createBindingFault

    public javax.wsdl.BindingFault createBindingFault()

  Specified by:
    `createBindingFault` in interface `javax.wsdl.Definition`

### createBindingInput

    public javax.wsdl.BindingInput createBindingInput()

  Specified by:
    `createBindingInput` in interface `javax.wsdl.Definition`

### createBindingOperation

    public javax.wsdl.BindingOperation createBindingOperation()

  Specified by:
    `createBindingOperation` in interface `javax.wsdl.Definition`

### createBindingOutput

    public javax.wsdl.BindingOutput createBindingOutput()

  Specified by:
    `createBindingOutput` in interface `javax.wsdl.Definition`

### createFault

    public javax.wsdl.Fault createFault()

  Specified by:
    `createFault` in interface `javax.wsdl.Definition`

### createImport

    public javax.wsdl.Import createImport()

  Specified by:
    `createImport` in interface `javax.wsdl.Definition`

### createInput

    public javax.wsdl.Input createInput()

  Specified by:
    `createInput` in interface `javax.wsdl.Definition`

### createMessage

    public javax.wsdl.Message createMessage()

  Specified by:
    `createMessage` in interface `javax.wsdl.Definition`

### createOperation

    public javax.wsdl.Operation createOperation()

  Specified by:
    `createOperation` in interface `javax.wsdl.Definition`

### createOutput

    public javax.wsdl.Output createOutput()

  Specified by:
    `createOutput` in interface `javax.wsdl.Definition`

### createPart

    public javax.wsdl.Part createPart()

  Specified by:
    `createPart` in interface `javax.wsdl.Definition`

### createPort

    public javax.wsdl.Port createPort()

  Specified by:
    `createPort` in interface `javax.wsdl.Definition`

### createPortType

    public javax.wsdl.PortType createPortType()

  Specified by:
    `createPortType` in interface `javax.wsdl.Definition`

### createService

    public javax.wsdl.Service createService()

  Specified by:
    `createService` in interface `javax.wsdl.Definition`

### createTypes

    public javax.wsdl.Types createTypes()

  Specified by:
    `createTypes` in interface `javax.wsdl.Definition`

### setExtensionRegistry

    public void setExtensionRegistry(javax.wsdl.extensions.ExtensionRegistry extReg)

  Specified by:
    `setExtensionRegistry` in interface `javax.wsdl.Definition`

### getExtensionRegistry

    public javax.wsdl.extensions.ExtensionRegistry getExtensionRegistry()

  Specified by:
    `getExtensionRegistry` in interface `javax.wsdl.Definition`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### removeExtensibilityElement

    public javax.wsdl.extensions.ExtensibilityElement removeExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)

  Specified by:
    `removeExtensibilityElement` in interface `javax.wsdl.extensions.ElementExtensible`

### getExtensionAttribute

    public Object getExtensionAttribute(QName name)

  Specified by:
    `getExtensionAttribute` in interface `javax.wsdl.extensions.AttributeExtensible`

### getExtensionAttributes

    public Map getExtensionAttributes()

  Specified by:
    `getExtensionAttributes` in interface `javax.wsdl.extensions.AttributeExtensible`

### setExtensionAttribute

    public void setExtensionAttribute(QName name,
                                      Object value)

  Specified by:
    `setExtensionAttribute` in interface `javax.wsdl.extensions.AttributeExtensible`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.